CVE-2006-0043
CVSS4.6
发布时间 :2006-01-30 21:03:00
修订时间 :2011-03-07 21:29:12
NMCOS    

[原文]Buffer overflow in the realpath function in nfs-server rpc.mountd, as used in SUSE Linux 9.1 through 10.0, allows local users to execute arbitrary code via unspecified vectors involving mount requests and symlinks.


[CNNVD]NFS-SERVER远程缓冲区溢出漏洞(CNNVD-200601-361)

        nfs-server rpc.mountd的realpath函数中存在缓冲区溢出漏洞(用在SUSE Linux 9.1至10.0中),本地用户可以通过与安装请求和符号链接有关的未明向量执行任意代码。

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:suse:suse_linux:9.1::personal
cpe:/o:suse:suse_linux:9.3::x86_64
cpe:/o:suse:suse_linux:9.1::professional
cpe:/o:suse:suse_linux:1.0SuSE SuSE Linux 1.0
cpe:/o:suse:suse_linux:9.2::professional
cpe:/o:suse:suse_linux:9.3::personal
cpe:/o:suse:suse_linux:9.3::professional
cpe:/o:suse:suse_linux:9.2::personal
cpe:/o:suse:suse_linux:9.1::x86_64
cpe:/o:suse:suse_linux:10.0::professional
cpe:/o:suse:suse_linux:9.2::x86_64

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0043
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0043
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200601-361
(官方数据源) CNNVD

- 其它链接及资源

http://secunia.com/advisories/18638
(VENDOR_ADVISORY)  SECUNIA  18638
http://lists.suse.com/archive/suse-security-announce/2006-Jan/0007.html
(VENDOR_ADVISORY)  SUSE  SUSE-SA:2006:005
http://xforce.iss.net/xforce/xfdb/24347
(UNKNOWN)  XF  nfs-rpcmountd-realpath-bo(24347)
http://www.vupen.com/english/advisories/2006/0348
(UNKNOWN)  VUPEN  ADV-2006-0348
http://www.securityfocus.com/bid/16388
(UNKNOWN)  BID  16388
http://secunia.com/advisories/18614
(VENDOR_ADVISORY)  SECUNIA  18614
http://www.debian.org/security/2006/dsa-975
(UNKNOWN)  DEBIAN  DSA-975
http://secunia.com/advisories/18889
(UNKNOWN)  SECUNIA  18889
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=350020
(UNKNOWN)  MISC  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=350020

- 漏洞信息

NFS-SERVER远程缓冲区溢出漏洞
中危 缓冲区溢出
2006-01-30 00:00:00 2006-02-01 00:00:00
远程  
        nfs-server rpc.mountd的realpath函数中存在缓冲区溢出漏洞(用在SUSE Linux 9.1至10.0中),本地用户可以通过与安装请求和符号链接有关的未明向量执行任意代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        nfs nfs-server 2.2.beta51
        SuSE nfs-server-2.2beta51-206.4.i586.rpm
        SUSE LINUX 9.1:
        ftp://ftp.suse.com/pub/suse/i386/update/9.1/rpm/i586/nfs-server-2.2bet a51-206.4.i586.rpm
        SuSE nfs-server-2.2beta51-206.4.x86_64.rpm
        SUSE LINUX 9.1:
        ftp://ftp.suse.com/pub/suse/x86_64/update/9.1/rpm/x86_64/nfs-server-2. 2beta51-206.4.x86_64.rpm
        SuSE nfs-server-2.2beta51-208.2.i586.rpm
        SUSE LINUX 9.2:
        ftp://ftp.suse.com/pub/suse/i386/update/9.2/rpm/i586/nfs-server-2.2bet a51-208.2.i586.rpm
        SuSE nfs-server-2.2beta51-208.2.x86_64.rpm
        SUSE LINUX 9.2:
        ftp://ftp.suse.com/pub/suse/i386/update/9.2/rpm/x86_64/nfs-server-2.2b eta51-208.2.x86_64.rpm
        SuSE nfs-server-2.2beta51-209.2.i586.rpm
        SUSE LINUX 9.3:
        ftp://ftp.suse.com/pub/suse/i386/update/9.3/rpm/i586/nfs-server-2.2bet a51-209.2.i586.rpm
        SuSE nfs-server-2.2beta51-209.2.x86_64.rpm
        SUSE LINUX 9.3:
        ftp://ftp.suse.com/pub/suse/i386/update/9.3/rpm/x86_64/nfs-server-2.2b eta51-209.2.x86_64.rpm
        SuSE nfs-server-2.2beta51-212.2.i586.rpm
        SUSE LINUX 10.0:
        ftp://ftp.suse.com/pub/suse/i386/update/10.0/rpm/i586/nfs-server-2.2be ta51-212.2.i586.rpm
        SuSE nfs-server-2.2beta51-212.2.ppc.rpm
        SUSE LINUX 10.0:
        ftp://ftp.suse.com/pub/suse/i386/update/10.0/rpm/ppc/nfs-server-2.2bet a51-212.2.ppc.rpm
        SuSE nfs-server-2.2beta51-212.2.x86_64.rpm
        SUSE LINUX 10.0:
        ftp://ftp.suse.com/pub/suse/i386/update/10.0/rpm/x86_64/nfs-server-2.2 beta51-212.2.x86_64.rpm
        nfs nfs-server 2.2.beta47
        Debian nfs-user-server_2.2beta47-12woody1_alpha.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/n/nfs-user-server/nfs-use r-server_2.2beta47-12woody1_alpha.deb
        Debian nfs-user-server_2.2beta47-12woody1_arm.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/n/nfs-user-server/nfs-use r-server_2.2beta47-12woody1_arm.deb
        Debian nfs-user-server_2.2beta47-12woody1_hppa.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/n/nfs-user-server/nfs-use r-server_2.2beta47-12woody1_hppa.deb
        Debian nfs-user-server_2.2beta47-12woody1_i386.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/n/nfs-user-server/nfs-use r-server_2.2beta47-12woody1_i386.deb
        Debian nfs-user-server_2.2beta47-12woody1_ia64.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/n/nfs-user-server/nfs-use r-server_2.2beta47-12woody1_ia64.deb
        Debian nfs-user-server_2.2beta47-12woody1_m68k.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/n/nfs-user-server/nfs-use r-server_2.2beta47-12woody1_m68k.deb
        Debian nfs-user-server_2.2beta47-12woody1_mips.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/n/nfs-user-server/nfs-use r-server_2.2beta47-12woody1_mips.deb
        Debian nfs-user-server_2.2beta47-12woody1_mipsel.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/n/nfs-user-server/nfs-use r-server_2.2beta47-12woody1_mipsel.deb
        Debian nfs-user-server_2.2beta47-12woody1_powerpc.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/n/nfs-user-server/nfs-use r-server_2.2beta47-12woody1_powerpc.deb
        Debian nfs-user-server_2.2beta47-12woody1_s390.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/n/nfs-user-server/nfs-use r-server_2.2beta47-12woody1_s390.deb
        Debian nfs-user-server_2.2beta47-12woody1_sparc.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/n/nfs-user-server/nfs-use r-server_2.2beta47-12woody1_sparc.deb
        Debian nfs-user-server_2.2beta47-20sarge2_alpha.deb
        Debian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/n/nfs-user-server/nfs-use r-server_2.2beta47-20sarge2_alpha.deb
        Debian nfs-user-server_2.2beta47-20sarge2_amd64.deb
        Debian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/n/nfs-user-server/nfs-use r-server_2.2beta47-20sarge2_amd64.deb
        Debian nfs-user-server_2.2beta47-20sarge2_arm.deb
        Debian GNU/Linux 3.1 alias sa

- 漏洞信息

22756
Linux nfs-server rpc.mountd realpath() Function Overflow
Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-01-26 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

NFS-SERVER Remote Buffer Overflow Vulnerability
Boundary Condition Error 16388
Yes No
2006-01-26 12:00:00 2006-12-13 08:33:00
Reported by the vendor.

- 受影响的程序版本

S.u.S.E. Novell Linux Desktop 1.0
S.u.S.E. Linux Professional 10.0
S.u.S.E. Linux Professional 9.3 x86_64
S.u.S.E. Linux Professional 9.3
S.u.S.E. Linux Professional 9.2 x86_64
S.u.S.E. Linux Professional 9.2
S.u.S.E. Linux Professional 9.1 x86_64
S.u.S.E. Linux Professional 9.1
S.u.S.E. Linux Personal 9.3 x86_64
S.u.S.E. Linux Personal 9.3
S.u.S.E. Linux Personal 9.2 x86_64
S.u.S.E. Linux Personal 9.2
S.u.S.E. Linux Personal 9.1 x86_64
S.u.S.E. Linux Personal 9.1
nfs nfs-server 2.2.beta51
nfs nfs-server 2.2.beta47
nfs nfs-server 2.2.beta46
nfs nfs-server 2.2.beta37
nfs nfs-server 2.2.beta29

- 漏洞讨论

The 'nfs-server' package is prone to a remote buffer-overflow vulnerability.

A remote attacker with the ability to create symlinks on any of the filesystems on an affected computer running 'rpc.mountd' can exploit this issue to execute arbitrary code. Attackers without filesystem access may also be able to execute arbitrary code, but this has not been confirmed.

Note that the 'nfs-server' package is obsolete. The 'nfs-utils' package is not affected by this issue.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or if you are aware of more recent information, please mail us at: vuldb@securityfocus.com

- 解决方案

Please see the referenced advisories for more information and fixes.


nfs nfs-server 2.2.beta51

nfs nfs-server 2.2.beta47

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站